io.etcd.jetcd.api

## Interface WatchRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  WatchRequest, WatchRequest.Builder

    public interface WatchRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`WatchCancelRequest` `getCancelRequest()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchCancelRequestOrBuilder` `getCancelRequestOrBuilder()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchCreateRequest` `getCreateRequest()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchCreateRequestOrBuilder` `getCreateRequestOrBuilder()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchRequest.RequestUnionCase` `getRequestUnionCase()`
`boolean` `hasCancelRequest()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`boolean` `hasCreateRequest()` `.etcdserverpb.WatchCreateRequest create_request = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasCreateRequest

    boolean hasCreateRequest()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

Returns:
  Whether the createRequest field is set.

#### getCreateRequest

    WatchCreateRequest getCreateRequest()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

Returns:
  The createRequest.

#### getCreateRequestOrBuilder

    WatchCreateRequestOrBuilder getCreateRequestOrBuilder()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

#### hasCancelRequest

    boolean hasCancelRequest()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

Returns:
  Whether the cancelRequest field is set.

#### getCancelRequest

    WatchCancelRequest getCancelRequest()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

Returns:
  The cancelRequest.

#### getCancelRequestOrBuilder

    WatchCancelRequestOrBuilder getCancelRequestOrBuilder()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

#### getRequestUnionCase

    WatchRequest.RequestUnionCase getRequestUnionCase()